> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mem0.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Memories in a Dream Run

> Keyset page of the synthesized memories within a single synthesis run.



## OpenAPI

````yaml get /api/v1/orgs/organizations/{org_id}/projects/{project_id}/dream/runs/{run_id}/memories/
openapi: 3.0.1
info:
  title: Mem0 API Docs
  description: mem0.ai API Docs
  contact:
    email: support@mem0.ai
  license:
    name: Apache 2.0
  version: v1
servers:
  - url: https://api.mem0.ai/
security:
  - ApiKeyAuth: []
paths:
  /api/v1/orgs/organizations/{org_id}/projects/{project_id}/dream/runs/{run_id}/memories/:
    get:
      tags:
        - dream
      summary: Get memories in a Dream run
      description: >-
        Keyset page of the synthesized memories within a single run (for runs
        whose `has_more` is true).
      operationId: get_dream_run_memories
      parameters:
        - name: org_id
          in: path
          required: true
          description: Unique identifier of the organization.
          schema:
            type: string
        - name: project_id
          in: path
          required: true
          description: Unique identifier of the project.
          schema:
            type: string
        - name: run_id
          in: path
          required: true
          description: Identifier of the synthesis run.
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: Page size (default 50, max 200).
          schema:
            type: integer
            default: 50
        - name: cursor
          in: query
          required: false
          description: >-
            Opaque keyset cursor (use the run's `mem_cursor` or a previous
            `next_cursor`).
          schema:
            type: string
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Synthesized memory ID.
                        text:
                          type: string
                          description: Synthesized (pattern) memory text.
                        sources:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                description: Source memory ID.
                              text:
                                type: string
                                description: Source memory text (truncated).
                          description: Source memories this pattern was distilled from.
                  next_cursor:
                    type: string
                    description: Cursor for the next page, or null when there are no more.
                    nullable: true
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        API key authentication. Prefix your Mem0 API key with 'Token '. Example:
        'Token your_api_key'

````